Package owl.translations.ltl2ldba

## Class EquivalenceClassStateFactory

- java.lang.Object
- - owl.translations.ltl2ldba.EquivalenceClassStateFactory

-     public class EquivalenceClassStateFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EquivalenceClassStateFactory​(Factories factories, boolean eagerUnfold, boolean removeRedundantObligations)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EquivalenceClass` | `getInitial​(EquivalenceClass clazz, EquivalenceClass... environmentArray)` |
    `EquivalenceClass` | `getInitial​(Formula... formulas)` |
    `EquivalenceClass` | `getNondeterministicSuccessor​(EquivalenceClass clazz, BitSet valuation)` |
    `BitSet` | `getSensitiveAlphabet​(EquivalenceClass clazz)` |
    `EquivalenceClass` | `getSuccessor​(EquivalenceClass clazz, BitSet valuation, EquivalenceClass... environmentArray)` |
    `Map<EquivalenceClass,ValuationSet>` | `getSuccessors​(EquivalenceClass clazz)` |
    `EquivalenceClass[]` | `getSuccessors​(EquivalenceClass[] clazz, BitSet valuation, EquivalenceClass environment)` |
    `List<EquivalenceClass>` | `splitEquivalenceClass​(EquivalenceClass clazz)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EquivalenceClassStateFactory

          public EquivalenceClassStateFactory​(Factories factories,
                                              boolean eagerUnfold,
                                              boolean removeRedundantObligations)

  - ### Method Detail

    - #### getInitial

          public EquivalenceClass getInitial​(Formula... formulas)

    - #### getInitial

          public EquivalenceClass getInitial​(EquivalenceClass clazz,
                                             EquivalenceClass... environmentArray)

    - #### getNondeterministicSuccessor

          public EquivalenceClass getNondeterministicSuccessor​(EquivalenceClass clazz,
                                                               BitSet valuation)

    - #### getSensitiveAlphabet

          public BitSet getSensitiveAlphabet​(EquivalenceClass clazz)

    - #### getSuccessor

          public EquivalenceClass getSuccessor​(EquivalenceClass clazz,
                                               BitSet valuation,
                                               EquivalenceClass... environmentArray)

    - #### getSuccessors

          public Map<EquivalenceClass,ValuationSet> getSuccessors​(EquivalenceClass clazz)

    - #### getSuccessors

          @Nullable
          public EquivalenceClass[] getSuccessors​(EquivalenceClass[] clazz,
                                                  BitSet valuation,
                                                  @Nullable
                                                  EquivalenceClass environment)

    - #### splitEquivalenceClass

          public List<EquivalenceClass> splitEquivalenceClass​(EquivalenceClass clazz)